import request from '@/utils/request'
 
import Qs from 'qs'

export function getOrderBookDetailList(data) {
    return request({
        url: '/orderbookdetail/list',
        method: 'get',
        params: data,
        paramsSerializer: function(params) {
            return Qs.stringify(params, { arrayFormat: 'repeat' })
        }
    })
}

export function tranBookToFra(data) {
    return request({
        url: '/orderbookdetail/tranBookToFra',
        method: 'get',
        params: data
    })
}

 

export function setWorkerFee(data) {
    return request({
        url: '/orderbookdetail/setWorkerFee',
        method: 'post',
        data
    })
}


export function notify(data) {
    return request({
        url: '/orderbookdetail/notify',
        method: 'post',
        data
    })
}


export function getDetailWorker(data) {
    return request({
        url: '/orderbookdetail/getDetailWorker',
        method: 'get',
        params: data
    })
}

export function modifyBookAddress(data) {
    return request({
        url: '/orderbookdetail/modifyBookAddress',
        method: 'post',
        data
    })
}

export function changeWorker(data) {
    return request({
        url: '/orderbookdetail/changeWorker',
        method: 'post',
        data
    })
}
